import { CommonCheckVerify } from './commonCheckService';
export * as commonCheckVerify from './commonCheckService';
export declare class CommonCheckWidget {
    commonCheckVerify: CommonCheckVerify;
    constructor(requestID?: string);
    verifyWithCallback(obj: any, callback: any): void;
    verifyAsync(obj: any): Promise<any>;
    getErrorMessage(errorObj: any): any;
    decrypt(data: any): string;
    generatePayloadJson(flightNumber: string, flightDate: string, firstName: string, lastName: string, dateOfBirth: string, passport: string, nationality: string): string;
    generateHashFromData(data: any): Promise<string>;
    generateJWTFromDataHash(data: any): Promise<string>;
    generateJWTFromData(data: any): Promise<string>;
    compareToken(tokenExpected: any, tokenCompared: any): boolean;
}
